My apologies if this game does not run on your system. It does require Java.